Package org.italiangrid.voms

# Interface VOMSGenericAttribute

All Known Implementing Classes:
  `VOMSGenericAttributeImpl`

public interface VOMSGenericAttribute
A VOMS generic attribute is a name=value pair attribute augmented with a context.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`String`
`getContext()`
This method returns the context for this generic attribute
`String`
`getName()`
This method returns the name of this generic attribute
`String`
`getValue()`
This method returns the value of this generic attribute

## Method Details

### getName

String getName()
This method returns the name of this generic attribute

Returns:
  the name of this generic attribute

### getValue

String getValue()
This method returns the value of this generic attribute

Returns:
  the value of this generic attribute

### getContext

String getContext()
This method returns the context for this generic attribute

Returns:
  the context of this generic attribute